package com.evolute.siprp.server.logic.login;

import com.evolute.siprp.client.panels.index.login.LoginService;
import com.evolute.siprp.client.vo.Utilizador;
import com.google.gwt.user.server.rpc.RemoteServiceServlet;

public class LoginServiceImpl extends RemoteServiceServlet implements LoginService 
{
	private static final long serialVersionUID = -950404179998079707L;

	private LoginLogic logic = null;
	
	@Override
	public Utilizador doLogin( String username, String password ) 
	{
		if ( logic == null )
		{
			logic = new LoginLogic();
		}
		
		return logic.doLogin( username, password );
	}
}
